aboutsummaryrefslogtreecommitdiff
path: root/debian/taler-auditor.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/taler-auditor.postinst')
-rw-r--r--debian/taler-auditor.postinst6
1 files changed, 5 insertions, 1 deletions
diff --git a/debian/taler-auditor.postinst b/debian/taler-auditor.postinst
index b46bf8446..b515e3e25 100644
--- a/debian/taler-auditor.postinst
+++ b/debian/taler-auditor.postinst
@@ -24,7 +24,11 @@ configure)
echo " done."
fi
- dpkg-statoverride --add --update ${_USERNAME} ${_GROUPNAME} 660 /etc/taler/secrets/auditor-db.secret.conf
+ if ! dpkg-statoverride --list /etc/taler/secrets/auditor-db.secret.conf >/dev/null 2>&1; then
+ dpkg-statoverride --add --update \
+ ${_USERNAME} ${_GROUPNAME} 660 \
+ /etc/taler/secrets/auditor-db.secret.conf
+ fi
;;